%global luaver 5.1
%global lualibdir %{_libdir}/lua/%{luaver}
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-event
Version:        0.4.3
Release:        2%{?dist}
Summary:        This is a binding of libevent to Lua

Group:          Development/Libraries
License:        LGPLv2
URL:            https://github.com/harningt/
Source0:        https://github.com/harningt/luaevent/archive/v%{version}.tar.gz

# Make sure CFLAGS/LDFLAGS are respected.
Patch0:         %{name}-0.4.3-respect-cflags.patch

BuildRequires:  lua       >= %{luaver}
BuildRequires:  lua-devel >= %{luaver}
BuildRequires:  libevent-devel >= 1.4
Requires:       lua-socket

%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
Requires:       lua(abi)   = %{luaver}
%else
Requires:       lua       >= %{luaver}
%endif

%description
This package contains the bindings for libevent, a synchronous event
notification library that provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout has been
reached.

# ikiwiki is not available on EPEL
%if 0%{?fedora}
%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildRequires:  ikiwiki

%description doc
%{summary}.
%endif


%prep
%setup -q -n luaevent-%{version}
%patch0 -p1
# Remove 0-byte file.
rm -f doc/modules/luaevent.mdwn


%build
export CFLAGS="%{optflags} -fPIC"
export LDFLAGS="%{optflags} -shared"
make %{?_smp_mflags}

%if 0%{?fedora}
/bin/sh makeDocs.sh
%endif


%install
make install DESTDIR=%{buildroot} \
    INSTALL_DIR_LUA=%{luapkgdir} \
    INSTALL_DIR_BIN=%{lualibdir}


%files
%doc CHANGELOG README doc/*
%dir %{lualibdir}/luaevent
%{lualibdir}/luaevent/core.so
%{luapkgdir}/luaevent.lua

%if 0%{?fedora}
%files doc
%doc html/*
%endif


%changelog
* Wed Apr 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.3-2
- amend directory ownership
- include markdown documentation
- change from %%define to %%global

* Tue Apr 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.3-1
- update to upstream release 0.4.3
- fix typo in %%description
- fix license tag
- make sure CFLAGS/LDFLAGS are respected
- put documentation in -doc subpackage, and only build for Fedora as ikiwiki
  is not available on EPEL

* Sun Feb 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.1-1
- initial package
